Debian Bug report logs - #524438
cifs: Crash (OOPS or restart) when accessing Windows ME share with accented sharacters in filenames

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Virgo P?a <virgo@gaiasoft.ee>

Date: Fri, 17 Apr 2009 06:51:01 UTC

Severity: important

Tags: patch, security

Merged with 571239

Found in version 2.6.26-21lenny3

Fixed in version linux-2.6/2.6.26-27

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-image-2.6.26-1-686. (Fri, 17 Apr 2009 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Virgo P?a <virgo@gaiasoft.ee>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 17 Apr 2009 06:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Virgo P?a <virgo@gaiasoft.ee>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented sharacters in filenames
Date: Fri, 17 Apr 2009 09:48:28 +0300
Package: linux-image-2.6.26-1-686
Version: 2.6.26-13lenny2
Severity: important



-- Package-specific info:

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-6-k7 (SMP w/1 CPU core)
Locale: LANG=et_EE.iso-8859-15, LC_CTYPE=et_EE.iso-8859-15 (charmap=ISO-8859-15) (ignored: LC_ALL set to en_US.ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92o      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-1-686 recommends:
ii  libc6-i686                    2.7-18     GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-1-686 suggests:
ii  grub                       0.97-47lenny2 GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26           <none>        (no description available)

-- debconf information:
  linux-image-2.6.26-1-686/preinst/abort-overwrite-2.6.26-1-686:
  linux-image-2.6.26-1-686/postinst/bootloader-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/postinst/depmod-error-initrd-2.6.26-1-686: false
  linux-image-2.6.26-1-686/postinst/old-system-map-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/prerm/would-invalidate-boot-loader-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/elilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-dir-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-686/postinst/create-kimage-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/overwriting-modules-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/depmod-error-2.6.26-1-686: false
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-686/prerm/removing-running-kernel-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/abort-install-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-686/preinst/bootloader-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/lilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/bootloader-test-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/failed-to-move-modules-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/initrd-2.6.26-1-686:

	In Lenny kernel 2.6.26-1-686 I had one OOPS and one restart, when trying 
to backup Windows ME computer to my Debian server (using rsync from Debian to 
sync files). Unfortunately, I did not write down OOPS infromation first time and 
in second time it just crashed hard. I then reverted to 2.6.18-6-k7 kernel from 
Etch. Then I could run backup, but it reported errors about filenames, with 
accented charactes in filenames (smbfs in Lenny no longer supports codepage 
parameter, which is cause of that problem). So my guess is, that this crash was 
caused by those filenames. Unfortunately I cannot run much test either, because it
happened in production server. Windows ME has system codepage set to 775.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-image-2.6.26-1-686. (Wed, 29 Apr 2009 11:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Apr 2009 11:36:11 GMT) Full text and rfc822 format available.

Message #10 received at 524438@bugs.debian.org (full text, mbox):

From: Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>
To: 524438@bugs.debian.org
Subject: Same problem with Windows 2000?
Date: Wed, 29 Apr 2009 13:32:32 +0200
Hi,

With a "Windows 2000 LAN Manager" server,
- one box Debian Lenny kernel Linux 2.6.26-2-686 locale fr_FR@euro

$ smbmount //xxxxx /media/I -o username=xxxxx,workgroup=xxxxx
$ cd /media/I
$ find xxx xxxx xxxx -type f >/dev/null 2>&1

Kernel panic (I also got instant reboot with some ls */*/* command)
Same thing with /sbin/mount.cifs or /sbin/mount.smbfs

- an other box Debian Lenny kernel Linux 2.6.26-2-686 locale en_US.UTF-8

Same thing. Kernel panic.

Nothing with sysklogd at INFO level and remote logs, nothing in
/var/log/ksymoops
Seems to work fine with a kernel Linux 2.6.29-1-686 from Sid.
Seems to work fine with a KUbuntu Intrepid and a kernel Linux
2.6.27-11-generic.

Regards,

-- 
Benoît Sibaud




Added tag(s) security. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 11 Oct 2009 22:36:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-image-2.6.26-1-686. (Sun, 11 Oct 2009 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 11 Oct 2009 22:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 524438@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Virgo P?a <virgo@gaiasoft.ee>, Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>
Cc: 524438@bugs.debian.org
Subject: Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented sharacters in filenames
Date: Sun, 11 Oct 2009 23:33:10 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2009-04-17 at 09:48 +0300, Virgo P?a wrote:
> Package: linux-image-2.6.26-1-686
> Version: 2.6.26-13lenny2
> Severity: important
[...]
> 	In Lenny kernel 2.6.26-1-686 I had one OOPS and one restart, when trying 
> to backup Windows ME computer to my Debian server (using rsync from Debian to 
> sync files). Unfortunately, I did not write down OOPS infromation first time and 
> in second time it just crashed hard.
[...]

Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com> wrote:
> With a "Windows 2000 LAN Manager" server,
> - one box Debian Lenny kernel Linux 2.6.26-2-686 locale fr_FR@euro
> 
> $ smbmount //xxxxx /media/I -o username=xxxxx,workgroup=xxxxx
> $ cd /media/I
> $ find xxx xxxx xxxx -type f >/dev/null 2>&1
> 
> Kernel panic (I also got instant reboot with some ls */*/* command)
> Same thing with /sbin/mount.cifs or /sbin/mount.smbfs
[...]

I believe this bug was fixed in Debian kernel package version
2.6.26-15lenny3.  Can you check that this bug is no longer present in
the current stable kernel version?

Ben.

-- 
Ben Hutchings
DNRC Motto:  I can please only one person per day.
Today is not your day.  Tomorrow isn't looking good either.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 11 Oct 2009 22:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-image-2.6.26-1-686. (Tue, 13 Oct 2009 13:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 13 Oct 2009 13:06:05 GMT) Full text and rfc822 format available.

Message #24 received at 524438@bugs.debian.org (full text, mbox):

From: Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Virgo P?a <virgo@gaiasoft.ee>, 524438@bugs.debian.org
Subject: Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented characters in filenames
Date: Tue, 13 Oct 2009 14:55:10 +0200
[Message part 1 (text/plain, inline)]
Hi,

> I believe this bug was fixed in Debian kernel package version
> 2.6.26-15lenny3.  Can you check that this bug is no longer present in
> the current stable kernel version?

Still a kernel panic with a 2.6.26-19
(linux-image-2.6.26-2-686_2.6.26-19_i386.deb). The stack trace seems to
always contain CIFSFindNext+0x174/0x2dc [cifs].

(after a fresh reboot)

$ smbmount //xxxxxxxxx/xxxxx-xxx /tmp/crash -o
username=xxxxxxxx,workgroup=xxxxxxx
$ cd "/tmp/crash/__Archives/07_Communication_Information/Journées
Techniques CORE/Journée du 27 octobre 2005 - Qualité des
réseaux/journecore/ppt"
$ find . -type f >/dev/null 2>&1
[KERNEL PANIC]

(in attachment, kernel panic screenshot)

Regards,

-- 
Benoît Sibaud

[Photo0035.jpg (image/jpeg, inline)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 17 Oct 2009 00:27:08 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 19 Oct 2009 01:33:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-image-2.6.26-1-686' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:13 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-13lenny2. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:44:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-2.6. (Tue, 31 May 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 31 May 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #37 received at 524438@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Muehlenhoff <jmm@inutil.org>, dann frazier <dannf@debian.org>
Cc: Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>, 524438@bugs.debian.org
Subject: Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented characters in filenames
Date: Tue, 31 May 2011 06:11:39 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2009-10-13 at 14:55 +0200, Benoit SIBAUD wrote:
> Hi,
> 
> > I believe this bug was fixed in Debian kernel package version
> > 2.6.26-15lenny3.  Can you check that this bug is no longer present in
> > the current stable kernel version?
> 
> Still a kernel panic with a 2.6.26-19
> (linux-image-2.6.26-2-686_2.6.26-19_i386.deb). The stack trace seems to
> always contain CIFSFindNext+0x174/0x2dc [cifs].
> 
> (after a fresh reboot)
> 
> $ smbmount //xxxxxxxxx/xxxxx-xxx /tmp/crash -o
> username=xxxxxxxx,workgroup=xxxxxxx
> $ cd "/tmp/crash/__Archives/07_Communication_Information/Journées
> Techniques CORE/Journée du 27 octobre 2005 - Qualité des
> réseaux/journecore/ppt"
> $ find . -type f >/dev/null 2>&1
> [KERNEL PANIC]
> 
> (in attachment, kernel panic screenshot)

We got this fix via 2.6.26.7:

commit 0752f1522a9120f731232919f7ad904e9e22b8ce
Author: Steve French <sfrench@us.ibm.com>
Date:   Tue Oct 7 20:03:33 2008 +0000

    [CIFS] make sure we have the right resume info before calling CIFSFindNext

But it requires these additional fixes which we're missing for some
reason:

commit b77d753c413e02559669df66e543869dad40c847
Author: Steve French <sfrench@us.ibm.com>
Date:   Wed Oct 8 19:13:46 2008 +0000

    [CIFS] Check that last search entry resume key is valid

commit a364bc0b37f14ffd66c1f982af42990a9d77fa43
Author: Jeff Layton <sfrench@us.ibm.com>
Date:   Tue Oct 21 14:42:13 2008 +0000

    [CIFS] fix saving of resume key before CIFSFindNext

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) help. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:15:04 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:15:05 GMT) Full text and rfc822 format available.

Forcibly Merged 524438 571239. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-2.6. (Thu, 07 Jul 2011 00:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jul 2011 00:51:03 GMT) Full text and rfc822 format available.

Message #48 received at 524438@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, dann frazier <dannf@debian.org>, Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>, 524438@bugs.debian.org, Steve French <sfrench@us.ibm.com>, Willy Tarreau <w@1wt.eu>
Subject: [2.6.27.y] Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented characters in filenames
Date: Wed, 6 Jul 2011 19:49:22 -0500
Hi,

Ben Hutchings wrote[1]:

> We got this fix via 2.6.26.7:
[...]
>     [CIFS] make sure we have the right resume info before calling CIFSFindNext
[...]
> But it requires these additional fixes which we're missing for some
> reason:
>
> commit b77d753c413e02559669df66e543869dad40c847
> Author: Steve French <sfrench@us.ibm.com>
> Date:   Wed Oct 8 19:13:46 2008 +0000
>
>     [CIFS] Check that last search entry resume key is valid

This one does not seem to be part of Willy Tarreau's v2.6.27.y tree.
Should it be?

> commit a364bc0b37f14ffd66c1f982af42990a9d77fa43
> Author: Jeff Layton <sfrench@us.ibm.com>
> Date:   Tue Oct 21 14:42:13 2008 +0000
>
>     [CIFS] fix saving of resume key before CIFSFindNext

This was part of v2.6.27.4 but doesn't seem to have made its way yet
to the (2.6.26-based) kernel in Debian lenny.

[1] <http://bugs.debian.org/524438>, "cifs: Crash (OOPS or restart)
when accessing Windows ME share with accented sharacters in filenames"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-2.6. (Thu, 07 Jul 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jul 2011 04:03:03 GMT) Full text and rfc822 format available.

Message #53 received at 524438@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, dann frazier <dannf@debian.org>, Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>, 524438@bugs.debian.org, Steve French <sfrench@us.ibm.com>, Willy Tarreau <w@1wt.eu>
Subject: Re: [2.6.27.y] Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented characters in filenames
Date: Thu, 07 Jul 2011 05:00:57 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-07-06 at 19:49 -0500, Jonathan Nieder wrote:
> Hi,
> 
> Ben Hutchings wrote[1]:
> 
> > We got this fix via 2.6.26.7:
> [...]
> >     [CIFS] make sure we have the right resume info before calling CIFSFindNext
> [...]
> > But it requires these additional fixes which we're missing for some
> > reason:
> >
> > commit b77d753c413e02559669df66e543869dad40c847
> > Author: Steve French <sfrench@us.ibm.com>
> > Date:   Wed Oct 8 19:13:46 2008 +0000
> >
> >     [CIFS] Check that last search entry resume key is valid
> 
> This one does not seem to be part of Willy Tarreau's v2.6.27.y tree.
> Should it be?

I assume so, but Steve should confirm or deny.

> > commit a364bc0b37f14ffd66c1f982af42990a9d77fa43
> > Author: Jeff Layton <sfrench@us.ibm.com>
> > Date:   Tue Oct 21 14:42:13 2008 +0000
> >
> >     [CIFS] fix saving of resume key before CIFSFindNext
> 
> This was part of v2.6.27.4 but doesn't seem to have made its way yet
> to the (2.6.26-based) kernel in Debian lenny.

No, we have missed a huge number of fixes that went into 2.6.27.y, since
2.6.26.y was not a longterm series.

Ben.

> [1] <http://bugs.debian.org/524438>, "cifs: Crash (OOPS or restart)
> when accessing Windows ME share with accented sharacters in filenames"
> 

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-2.6. (Thu, 07 Jul 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Willy Tarreau <w@1wt.eu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jul 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #58 received at 524438@bugs.debian.org (full text, mbox):

From: Willy Tarreau <w@1wt.eu>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Jonathan Nieder <jrnieder@gmail.com>, Moritz Muehlenhoff <jmm@inutil.org>, dann frazier <dannf@debian.org>, Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>, 524438@bugs.debian.org, Steve French <sfrench@us.ibm.com>
Subject: Re: [2.6.27.y] Re: cifs: Crash (OOPS or restart) when accessing Windows ME share with accented characters in filenames
Date: Thu, 7 Jul 2011 07:42:20 +0200
On Thu, Jul 07, 2011 at 05:00:57AM +0100, Ben Hutchings wrote:
> On Wed, 2011-07-06 at 19:49 -0500, Jonathan Nieder wrote:
> > Hi,
> > 
> > Ben Hutchings wrote[1]:
> > 
> > > We got this fix via 2.6.26.7:
> > [...]
> > >     [CIFS] make sure we have the right resume info before calling CIFSFindNext
> > [...]
> > > But it requires these additional fixes which we're missing for some
> > > reason:
> > >
> > > commit b77d753c413e02559669df66e543869dad40c847
> > > Author: Steve French <sfrench@us.ibm.com>
> > > Date:   Wed Oct 8 19:13:46 2008 +0000
> > >
> > >     [CIFS] Check that last search entry resume key is valid
> > 
> > This one does not seem to be part of Willy Tarreau's v2.6.27.y tree.
> > Should it be?
> 
> I assume so, but Steve should confirm or deny.

Interestingly I notice that a number of CIFS changes that were applied between
2.6.27 and 2.6.28 were not backported (just checked git logs for cifssmb.c) :

331c31351044888916805c9cb32d8bb9e40c12e9 cifs: fix buffer overrun in parse_DFS_referrals
2c55608f28444c3f33b10312881384c470ceed56 Fixed parsing of mount options when doing DFS submount
9a8165fce724d1aba21e2c713ac6ba11dbfecafa cifs: track DeletePending flag in cifsInodeInfo
b77d753c413e02559669df66e543869dad40c847 [CIFS] Check that last search entry resume key is valid
391e575556109744ae0aa198c1e245588a3ea76a cifs: remove NULL termination from rename target in CIFSSMBRenameOpenFI
6d22f09896c0d62c003ffa25fff25323e3ed608b cifs: add function to set file disposition

Their description makes me think that at least the 5 first ones need to
be backported, but I may be wrong since I don't know their implications.

Steve, it would be ver kind of you if you could take a few minutes to check
them and confirm/deny the backport for each of them. If you think other patches
are missing, please do not hesitate to tell me so.

Cheers,
Willy





Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 02 Aug 2011 05:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#524438; Package linux-2.6. (Tue, 02 Aug 2011 06:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 02 Aug 2011 06:00:03 GMT) Full text and rfc822 format available.

Message #65 received at 524438@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: 524438-submitter@bugs.debian.org, Benoit SIBAUD <benoit.sibaud@orange-ftgroup.com>
Cc: 524438@bugs.debian.org
Subject: test build
Date: Mon, 1 Aug 2011 23:57:05 -0600
Virgo, Benoit,
 I've committed a fix for this to our lenny branch. Would either of
you be able to test it? I've posted a 32bit build here:
  
  http://people.debian.org/~dannf/bugs/524438/

I don't have access to a ME system, but I did smoke test w/ a windows
2008 server & didn't experience any problems - though I couldn't
reproduce the original issue.




Message sent on to Virgo P?a <virgo@gaiasoft.ee>:
Bug#524438. (Tue, 02 Aug 2011 06:00:05 GMT) Full text and rfc822 format available.

Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 21 Sep 2011 01:57:04 GMT) Full text and rfc822 format available.

Notification sent to Virgo P?a <virgo@gaiasoft.ee>:
Bug acknowledged by developer. (Wed, 21 Sep 2011 01:57:04 GMT) Full text and rfc822 format available.

Message #73 received at 524438-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 524438-close@bugs.debian.org
Subject: Bug#524438: fixed in linux-2.6 2.6.26-27
Date: Wed, 21 Sep 2011 01:55:29 +0000
Source: linux-2.6
Source-Version: 2.6.26-27

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-27.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.26-27.diff.gz
linux-2.6_2.6.26-27.dsc
  to main/l/linux-2.6/linux-2.6_2.6.26-27.dsc
linux-doc-2.6.26_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-doc-2.6.26_2.6.26-27_all.deb
linux-headers-2.6.26-2-all-hppa_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all-hppa_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-all_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-all_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-common_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-common_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-parisc64_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-parisc64_2.6.26-27_hppa.deb
linux-headers-2.6.26-2-parisc_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-headers-2.6.26-2-parisc_2.6.26-27_hppa.deb
linux-image-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
linux-image-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
linux-image-2.6.26-2-parisc64_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-parisc64_2.6.26-27_hppa.deb
linux-image-2.6.26-2-parisc_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-image-2.6.26-2-parisc_2.6.26-27_hppa.deb
linux-libc-dev_2.6.26-27_hppa.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.26-27_hppa.deb
linux-manual-2.6.26_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-manual-2.6.26_2.6.26-27_all.deb
linux-patch-debian-2.6.26_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-27_all.deb
linux-source-2.6.26_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-source-2.6.26_2.6.26-27_all.deb
linux-support-2.6.26-2_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-support-2.6.26-2_2.6.26-27_all.deb
linux-tree-2.6.26_2.6.26-27_all.deb
  to main/l/linux-2.6/linux-tree-2.6.26_2.6.26-27_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 524438@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Sep 2011 22:30:56 -0600
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-2 linux-libc-dev linux-headers-2.6.26-2-all linux-headers-2.6.26-2-all-alpha linux-headers-2.6.26-2-common linux-image-2.6.26-2-alpha-generic linux-headers-2.6.26-2-alpha-generic linux-image-2.6.26-2-alpha-smp linux-headers-2.6.26-2-alpha-smp linux-image-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-alpha-legacy linux-headers-2.6.26-2-all-amd64 linux-image-2.6.26-2-amd64 linux-headers-2.6.26-2-amd64 linux-headers-2.6.26-2-common-openvz linux-image-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-openvz-amd64 linux-headers-2.6.26-2-common-vserver linux-image-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-vserver-amd64 linux-headers-2.6.26-2-common-xen linux-image-2.6.26-2-xen-amd64 linux-modules-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-xen-amd64 xen-linux-system-2.6.26-2-xen-amd64 linux-headers-2.6.26-2-all-arm linux-image-2.6.26-2-footbridge linux-headers-2.6.26-2-footbridge linux-image-2.6.26-2-iop32x linux-headers-2.6.26-2-iop32x linux-image-2.6.26-2-ixp4xx linux-headers-2.6.26-2-ixp4xx linux-image-2.6.26-2-orion5x linux-headers-2.6.26-2-orion5x linux-headers-2.6.26-2-all-armel linux-image-2.6.26-2-versatile linux-headers-2.6.26-2-versatile linux-headers-2.6.26-2-all-hppa linux-image-2.6.26-2-parisc linux-headers-2.6.26-2-parisc linux-image-2.6.26-2-parisc-smp linux-headers-2.6.26-2-parisc-smp linux-image-2.6.26-2-parisc64 linux-headers-2.6.26-2-parisc64 linux-image-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-parisc64-smp linux-headers-2.6.26-2-all-i386 linux-image-2.6.26-2-486 linux-headers-2.6.26-2-486 linux-image-2.6.26-2-686 linux-headers-2.6.26-2-686 linux-image-2.6.26-2-686-bigmem linux-headers-2.6.26-2-686-bigmem linux-image-2.6.26-2-openvz-686 linux-headers-2.6.26-2-openvz-686 linux-image-2.6.26-2-vserver-686 linux-headers-2.6.26-2-vserver-686 linux-image-2.6.26-2-vserver-686-bigmem linux-headers-2.6.26-2-vserver-686-bigmem linux-image-2.6.26-2-xen-686 linux-modules-2.6.26-2-xen-686 linux-headers-2.6.26-2-xen-686 xen-linux-system-2.6.26-2-xen-686 linux-headers-2.6.26-2-all-ia64 linux-image-2.6.26-2-itanium linux-headers-2.6.26-2-itanium linux-image-2.6.26-2-mckinley linux-headers-2.6.26-2-mckinley linux-image-2.6.26-2-vserver-itanium linux-headers-2.6.26-2-vserver-itanium linux-image-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-vserver-mckinley linux-headers-2.6.26-2-all-m68k linux-image-2.6.26-2-amiga linux-headers-2.6.26-2-amiga linux-image-2.6.26-2-atari linux-headers-2.6.26-2-atari linux-image-2.6.26-2-bvme6000 linux-headers-2.6.26-2-bvme6000 linux-image-2.6.26-2-mac linux-headers-2.6.26-2-mac linux-image-2.6.26-2-mvme147 linux-headers-2.6.26-2-mvme147 linux-image-2.6.26-2-mvme16x linux-headers-2.6.26-2-mvme16x linux-headers-2.6.26-2-all-mips linux-image-2.6.26-2-r4k-ip22 linux-headers-2.6.26-2-r4k-ip22 linux-image-2.6.26-2-r5k-ip32 linux-headers-2.6.26-2-r5k-ip32 linux-image-2.6.26-2-sb1-bcm91250a linux-headers-2.6.26-2-sb1-bcm91250a linux-image-2.6.26-2-sb1a-bcm91480b linux-headers-2.6.26-2-sb1a-bcm91480b linux-image-2.6.26-2-4kc-malta linux-headers-2.6.26-2-4kc-malta linux-image-2.6.26-2-5kc-malta linux-headers-2.6.26-2-5kc-malta linux-headers-2.6.26-2-all-mipsel linux-image-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-r5k-cobalt linux-headers-2.6.26-2-all-powerpc linux-image-2.6.26-2-powerpc linux-headers-2.6.26-2-powerpc linux-image-2.6.26-2-powerpc-smp linux-headers-2.6.26-2-powerpc-smp linux-image-2.6.26-2-powerpc64 linux-headers-2.6.26-2-powerpc64 linux-image-2.6.26-2-vserver-powerpc linux-headers-2.6.26-2-vserver-powerpc linux-image-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-vserver-powerpc64 linux-headers-2.6.26-2-all-s390 linux-image-2.6.26-2-s390 linux-headers-2.6.26-2-s390 linux-image-2.6.26-2-s390-tape linux-image-2.6.26-2-s390x linux-headers-2.6.26-2-s390x linux-image-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-vserver-s390x linux-headers-2.6.26-2-all-sparc linux-image-2.6.26-2-sparc64 linux-headers-2.6.26-2-sparc64 linux-image-2.6.26-2-sparc64-smp linux-headers-2.6.26-2-sparc64-smp linux-image-2.6.26-2-vserver-sparc64 linux-headers-2.6.26-2-vserver-sparc64
Architecture: source all hppa
Version: 2.6.26-27
Distribution: oldstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-2-486 - Header files for Linux 2.6.26-2-486
 linux-headers-2.6.26-2-4kc-malta - Header files for Linux 2.6.26-2-4kc-malta
 linux-headers-2.6.26-2-5kc-malta - Header files for Linux 2.6.26-2-5kc-malta
 linux-headers-2.6.26-2-686 - Header files for Linux 2.6.26-2-686
 linux-headers-2.6.26-2-686-bigmem - Header files for Linux 2.6.26-2-686-bigmem
 linux-headers-2.6.26-2-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-2-alpha-generic - Header files for Linux 2.6.26-2-alpha-generic
 linux-headers-2.6.26-2-alpha-legacy - Header files for Linux 2.6.26-2-alpha-legacy
 linux-headers-2.6.26-2-alpha-smp - Header files for Linux 2.6.26-2-alpha-smp
 linux-headers-2.6.26-2-amd64 - Header files for Linux 2.6.26-2-amd64
 linux-headers-2.6.26-2-amiga - Header files for Linux 2.6.26-2-amiga
 linux-headers-2.6.26-2-atari - Header files for Linux 2.6.26-2-atari
 linux-headers-2.6.26-2-bvme6000 - Header files for Linux 2.6.26-2-bvme6000
 linux-headers-2.6.26-2-common - Common header files for Linux 2.6.26-2
 linux-headers-2.6.26-2-common-openvz - Common header files for Linux 2.6.26-2-openvz
 linux-headers-2.6.26-2-common-vserver - Common header files for Linux 2.6.26-2-vserver
 linux-headers-2.6.26-2-common-xen - Common header files for Linux 2.6.26-2-xen
 linux-headers-2.6.26-2-footbridge - Header files for Linux 2.6.26-2-footbridge
 linux-headers-2.6.26-2-iop32x - Header files for Linux 2.6.26-2-iop32x
 linux-headers-2.6.26-2-itanium - Header files for Linux 2.6.26-2-itanium
 linux-headers-2.6.26-2-ixp4xx - Header files for Linux 2.6.26-2-ixp4xx
 linux-headers-2.6.26-2-mac - Header files for Linux 2.6.26-2-mac
 linux-headers-2.6.26-2-mckinley - Header files for Linux 2.6.26-2-mckinley
 linux-headers-2.6.26-2-mvme147 - Header files for Linux 2.6.26-2-mvme147
 linux-headers-2.6.26-2-mvme16x - Header files for Linux 2.6.26-2-mvme16x
 linux-headers-2.6.26-2-openvz-686 - Header files for Linux 2.6.26-2-openvz-686
 linux-headers-2.6.26-2-openvz-amd64 - Header files for Linux 2.6.26-2-openvz-amd64
 linux-headers-2.6.26-2-orion5x - Header files for Linux 2.6.26-2-orion5x
 linux-headers-2.6.26-2-parisc - Header files for Linux 2.6.26-2-parisc
 linux-headers-2.6.26-2-parisc-smp - Header files for Linux 2.6.26-2-parisc-smp
 linux-headers-2.6.26-2-parisc64 - Header files for Linux 2.6.26-2-parisc64
 linux-headers-2.6.26-2-parisc64-smp - Header files for Linux 2.6.26-2-parisc64-smp
 linux-headers-2.6.26-2-powerpc - Header files for Linux 2.6.26-2-powerpc
 linux-headers-2.6.26-2-powerpc-smp - Header files for Linux 2.6.26-2-powerpc-smp
 linux-headers-2.6.26-2-powerpc64 - Header files for Linux 2.6.26-2-powerpc64
 linux-headers-2.6.26-2-r4k-ip22 - Header files for Linux 2.6.26-2-r4k-ip22
 linux-headers-2.6.26-2-r5k-cobalt - Header files for Linux 2.6.26-2-r5k-cobalt
 linux-headers-2.6.26-2-r5k-ip32 - Header files for Linux 2.6.26-2-r5k-ip32
 linux-headers-2.6.26-2-s390 - Header files for Linux 2.6.26-2-s390
 linux-headers-2.6.26-2-s390x - Header files for Linux 2.6.26-2-s390x
 linux-headers-2.6.26-2-sb1-bcm91250a - Header files for Linux 2.6.26-2-sb1-bcm91250a
 linux-headers-2.6.26-2-sb1a-bcm91480b - Header files for Linux 2.6.26-2-sb1a-bcm91480b
 linux-headers-2.6.26-2-sparc64 - Header files for Linux 2.6.26-2-sparc64
 linux-headers-2.6.26-2-sparc64-smp - Header files for Linux 2.6.26-2-sparc64-smp
 linux-headers-2.6.26-2-versatile - Header files for Linux 2.6.26-2-versatile
 linux-headers-2.6.26-2-vserver-686 - Header files for Linux 2.6.26-2-vserver-686
 linux-headers-2.6.26-2-vserver-686-bigmem - Header files for Linux 2.6.26-2-vserver-686-bigmem
 linux-headers-2.6.26-2-vserver-amd64 - Header files for Linux 2.6.26-2-vserver-amd64
 linux-headers-2.6.26-2-vserver-itanium - Header files for Linux 2.6.26-2-vserver-itanium
 linux-headers-2.6.26-2-vserver-mckinley - Header files for Linux 2.6.26-2-vserver-mckinley
 linux-headers-2.6.26-2-vserver-powerpc - Header files for Linux 2.6.26-2-vserver-powerpc
 linux-headers-2.6.26-2-vserver-powerpc64 - Header files for Linux 2.6.26-2-vserver-powerpc64
 linux-headers-2.6.26-2-vserver-s390x - Header files for Linux 2.6.26-2-vserver-s390x
 linux-headers-2.6.26-2-vserver-sparc64 - Header files for Linux 2.6.26-2-vserver-sparc64
 linux-headers-2.6.26-2-xen-686 - Header files for Linux 2.6.26-2-xen-686
 linux-headers-2.6.26-2-xen-amd64 - Header files for Linux 2.6.26-2-xen-amd64
 linux-image-2.6.26-2-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-2-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-2-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-2-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-2-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-2-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-2-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-2-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-2-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-2-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-2-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-2-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-2-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-2-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-2-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-2-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-2-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-2-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-2-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-2-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-2-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-2-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-2-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-2-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-2-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-2-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-2-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-2-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-2-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-2-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-2-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-2-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-2-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-2-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-2-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-2-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-2-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-2-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-2-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-2-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-2-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-2-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-2-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-2-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-2-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-2-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-2-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-2-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-2-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-2-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-2 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-2-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-2-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 524438 561890 604457
Changes: 
 linux-2.6 (2.6.26-27) oldstable; urgency=high
 .
   [ Ben Hutchings ]
   * dm,md: Deal with merge_bvec_fn in component devices better
     (Closes: #604457)
   * rt2x00: Fix memory leak after failing to insert RTS/CTS frame
     (Closes: #561890)
 .
   [ dann frazier ]
   * Include selected backport from 2.6.27.58:
     - md: fix bug with re-adding of partially recovered device.
   * Include selected backports from 2.6.27.59:
     - NFS: fix the return value of nfs_file_fsync()
     - ptrace: use safer wake up on ptrace_detach()
     - [x86] mm: avoid possible bogus tlb entries by clearing prev mm_cpumask
       after switching mm
     - dm raid1: fail writes if errors are not handled and log fails
     - [x86] asus_acpi: world-writable procfs files
     - [x86] acer-wmi: world-writable sysfs threeg file
     - [x86] tc1100-wmi: world-writable sysfs wireless and jogdial files
     - NFSD: memory corruption due to writing beyond the stat array
     - ext2: Fix link count corruption under heavy link+rename load
     - virtio: set pci bus master enable bit
     - [s390] keyboard: integer underflow bug
     - ocfs2_connection_find() returns pointer to bad structure
     - libsas: fix runaway error handler problem
     - NFS: Fix "kernel BUG at fs/aio.c:554!"
     - md: fix regression with re-adding devices to arrays with no metadata
     - [x86] Flush TLB if PGD entry is changed in i386 PAE mode
     - ext3: skip orphan cleanup on rocompat fs
     - cciss: fix lost command issue
   * cifs: fix an oops that can occur when accessing filenames containing
     accented characters from a Windows ME server (Closes: #524438)
   * [hppa] Fix FTBFS caused by CVE-2011-2496 fix
Checksums-Sha1: 
 cb506b61f3a2e0c3e63a573b4b72582d1bc205e1 6400 linux-2.6_2.6.26-27.dsc
 c23ce1531521048d935bd4b0682790272b9f9d14 8106891 linux-2.6_2.6.26-27.diff.gz
 70115e5111934108acd5d51a5e2609aa6a1fc5f5 4850864 linux-doc-2.6.26_2.6.26-27_all.deb
 239d71bdea8abd40bd1a7c2fb6ca50f46237510f 1817040 linux-manual-2.6.26_2.6.26-27_all.deb
 f3a326e211e465b2ee6313b85aa234ef5ec4de85 3155398 linux-patch-debian-2.6.26_2.6.26-27_all.deb
 c82fd03c8bd93182716fdc509389256f021fbe0c 49510378 linux-source-2.6.26_2.6.26-27_all.deb
 fbfacade59444615fadcf27ee07db984fe98adb9 131814 linux-support-2.6.26-2_2.6.26-27_all.deb
 59b0da298e50f61f757b7931f4c17047feaa8723 116012 linux-tree-2.6.26_2.6.26-27_all.deb
 526c2a73f8aace11bf554487e9577c9e0f0a8662 15801292 linux-image-2.6.26-2-parisc_2.6.26-27_hppa.deb
 b05314b4f7e557fb3e18d5506f7f9546976bf2bc 306754 linux-headers-2.6.26-2-parisc_2.6.26-27_hppa.deb
 6049f1491d46dae26381a4914f2c36bb9cd53fe2 16392688 linux-image-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 4e5b69f03268c978635906ce2eec4641f1fce9d4 308306 linux-headers-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 f9958666fde4837a2b792a3e4fa9faee2397b279 17139982 linux-image-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 abee37753e0640072d1a9f4eea4211871ad9378c 307694 linux-headers-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 d699e52afdb67fa8c57801848e73d30b3b0e1f94 17694640 linux-image-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 885b505d02f82cc6e3ac8dd571742af13d6253dc 309274 linux-headers-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 46b340c9e0c658c3d95c5007137f4de587380a3a 3605040 linux-headers-2.6.26-2-common_2.6.26-27_hppa.deb
 1194deac9866a58cefefb5460260b753291e80bf 115394 linux-headers-2.6.26-2-all_2.6.26-27_hppa.deb
 e8fbd5b0ee772a69df20c86bfc425e383c2d8e86 115426 linux-headers-2.6.26-2-all-hppa_2.6.26-27_hppa.deb
 6c5c615035e26ea7aca0786b14df0f74000b4a6d 767376 linux-libc-dev_2.6.26-27_hppa.deb
Checksums-Sha256: 
 3f0b8eff4186f4d0df9c157d6df652c261d50949628aa5631534944c1a7c1194 6400 linux-2.6_2.6.26-27.dsc
 9f7aed426c4e2e7da6dfeab77a372a96063822be9ad69ad2fa4857147a9fe0db 8106891 linux-2.6_2.6.26-27.diff.gz
 9b7f15f1991af49c31c5df52f2f3378f890dbb66394a0c3c46d2846c88e63547 4850864 linux-doc-2.6.26_2.6.26-27_all.deb
 73b06414c937dad69beac8b11b8b3c5f7e7cdc691675942e7bb8369615f53d5e 1817040 linux-manual-2.6.26_2.6.26-27_all.deb
 889fbd01fc212b95f443b7b5aaa01121ea8bc78e86962e47a8f6379f2a2c2b20 3155398 linux-patch-debian-2.6.26_2.6.26-27_all.deb
 a7bd6984151c1ccac92398cef68a0abeb35261a7c1defc2d5c8fd0ad487a15d3 49510378 linux-source-2.6.26_2.6.26-27_all.deb
 33badb7a848b43ca2b3e5153a29bdbce8ebee33db8da83d506673e7a6db41d42 131814 linux-support-2.6.26-2_2.6.26-27_all.deb
 a9e36d037021bd8dbbb8c6e9b96bc6909b1cbe05e4d507cd84a1adab31162b8f 116012 linux-tree-2.6.26_2.6.26-27_all.deb
 85108a5818b57ac88c2c66401c397c0a87c87cbacf1717a98afec1a8891170aa 15801292 linux-image-2.6.26-2-parisc_2.6.26-27_hppa.deb
 081668bee413c6f244b97958e93b3aa450e73da553e3fcb22496b0062c39112c 306754 linux-headers-2.6.26-2-parisc_2.6.26-27_hppa.deb
 41405c810a08abd4e497ecbb946d4b20a42d8993269567e9a020d8e8b7d72267 16392688 linux-image-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 9a509093fd86c68a97dc9a74df91cb76c8ac62a78860c169643db661195f3e12 308306 linux-headers-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 590b1dfda2725d85b9b5584211d4fb2fa98e7fad765fb41e889debc971cca129 17139982 linux-image-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 0303d8005eee72990e17e9e52489ffc8a654d9ed355f72b1ebc420556cccb98f 307694 linux-headers-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 cff3bf933e88d855e4cf79dc8ddaba73f088a6ff3f07427ce5cd91678d12409a 17694640 linux-image-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 d88acc45d6ab0d28a6912667d10df3e76d426a9abb54fb53d78a152fe23dbf4c 309274 linux-headers-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 098f43c4419bc162f3c97eb93d198f3ea72e9ee1c45404ed956e24b83c805001 3605040 linux-headers-2.6.26-2-common_2.6.26-27_hppa.deb
 1faabd8c4f7fe73b88fef8bef222abf643ea7c5b7aedba086e87d9fac36eb9f1 115394 linux-headers-2.6.26-2-all_2.6.26-27_hppa.deb
 964bc1d667d0ee6bf79cccf640ff0f544abf058f407ad22281c19e9d9d369ed0 115426 linux-headers-2.6.26-2-all-hppa_2.6.26-27_hppa.deb
 c5823012e3ed6e45e728cb56664074f35057f3da0d29b8e11fb17573b38d34a6 767376 linux-libc-dev_2.6.26-27_hppa.deb
Files: 
 a0687eaa276dd6c9bbc7975531d3cba4 6400 devel optional linux-2.6_2.6.26-27.dsc
 b22dba27457aebceb37ad65ab593b49b 8106891 devel optional linux-2.6_2.6.26-27.diff.gz
 7d6c711f0270c9f99f4f7741ace637bf 4850864 doc optional linux-doc-2.6.26_2.6.26-27_all.deb
 3bdef85595ac8515b5ff67b640257f2b 1817040 doc optional linux-manual-2.6.26_2.6.26-27_all.deb
 f5e9df93a2422e6b9b9aba67a7c17bc1 3155398 devel optional linux-patch-debian-2.6.26_2.6.26-27_all.deb
 fdb3c77c3488e783e785c2a29cbc48d9 49510378 devel optional linux-source-2.6.26_2.6.26-27_all.deb
 6d9ba0238fb6160bdc080dd0598c4fb6 131814 devel optional linux-support-2.6.26-2_2.6.26-27_all.deb
 81ba9180bbc4cb87613fd3d841da6075 116012 devel optional linux-tree-2.6.26_2.6.26-27_all.deb
 9cf192978aa9283b679f124215b49a76 15801292 admin optional linux-image-2.6.26-2-parisc_2.6.26-27_hppa.deb
 5ab206a654cef82d0e60b31d10e364a6 306754 devel optional linux-headers-2.6.26-2-parisc_2.6.26-27_hppa.deb
 f51ee36442f2f156952a41978c3062b1 16392688 admin optional linux-image-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 212fa22e81450b7f6b729f62d67d5ba8 308306 devel optional linux-headers-2.6.26-2-parisc-smp_2.6.26-27_hppa.deb
 427127900db9e5ab10379fde33b7b712 17139982 admin optional linux-image-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 f5539e0f021405bfb7781aee99c4b5f2 307694 devel optional linux-headers-2.6.26-2-parisc64_2.6.26-27_hppa.deb
 8ffb2043d015874f983597ad757c3797 17694640 admin optional linux-image-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 f6aaa96626139b375eca80b022ef716e 309274 devel optional linux-headers-2.6.26-2-parisc64-smp_2.6.26-27_hppa.deb
 8f202c817f5f270fe586774f43470754 3605040 devel optional linux-headers-2.6.26-2-common_2.6.26-27_hppa.deb
 1fb6684bf77f2823e9ea36d4511ba2df 115394 devel optional linux-headers-2.6.26-2-all_2.6.26-27_hppa.deb
 d8882c330ed1b3c187793bd9fa24216b 115426 devel optional linux-headers-2.6.26-2-all-hppa_2.6.26-27_hppa.deb
 1d7be6e488750994d253f550abcd6871 767376 devel optional linux-libc-dev_2.6.26-27_hppa.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOeLzhAAoJEBv4PF5U/IZA2b4P/3OS7cTh/0TDgpnZKEzBcqMr
p1Df3c+Ucv/k3CzJf7s3dpjOAYT7Pq3AIr1VOfwIEIJJ8WX17+Pekmhc5d+5K8cR
8Yl0foD8WDLlzcz/0ejNj4XCxUkTzlapKYcCsnBLFl91k1LvWu2LViPktxDi+L/u
RZI0shwmbDaha5HQRVjOnYZFMfxSPuyPd0i1qAOATw/68x2hhFJ620zgaZVgNF26
GxdMz+qAInRQUdtjZR0FcGQ9tNykF4vNT/KwacRPdmiEj+kAdpHExsCE8KilKtvY
cFPGBN1tIYRR1lGUI18o1DUewgH4ngFhss0h0NZcr+yYpauvwXiM0qJdxWk3UuBp
oBbemcxRo4yLBRWEbXx+O10v98xI+5o4FraAETpceisOaoVfkzUKZ+oHaCXFW7e8
rAWQRf/qx5phKemsKJLbzVNEWXsg6iENI811DiXfiqan+9x5GV5iyrrqYNhuMMzg
PoCF0GjswRJLqjtTdsb2H/SJ+8QLIa4qp71jFhkWg8HAwBGbVHSGEn7g3s7el/UT
0CbXtujlLcKY5Y8MMmNar/ZYwZE/XugXo1HcVL88DekmWdH7iNsaP3tGmz8pJDre
QPnGqZ3UwN34XRte4JGUSzORnD0GfRp8yJjvYZdOGU0Mn6JKdposnN9FZsBh3V2f
Zb8DdVheFGUqIwG7lgtn
=wj8c
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Wed, 21 Sep 2011 01:57:04 GMT) Full text and rfc822 format available.

Notification sent to Ronald Moesbergen <intercommit@gmail.com>:
Bug acknowledged by developer. (Wed, 21 Sep 2011 01:57:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:37:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:24:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.